Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 619700 - missing dependency: globus-common-progs for globus-common-devel
missing dependency: globus-common-progs for globus-common-devel
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: globus-common (Show other bugs)
el6
All Linux
low Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 04:33 EDT by Xavier Delaruelle
Modified: 2010-09-20 13:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: globus-common-11.5-3.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 17:11:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Delaruelle 2010-07-30 04:33:13 EDT
Description of problem:
The /usr/bin/globus-makefile-header script, provided by globus-common-devel, needs /usr/share/perl5/Globus/Core/Paths.pm perl module, provided by globus-common-progs, to perform correctly.

Version-Release number of selected component (if applicable):
globus-common-devel-11.5-1.el6.x86_64
globus-common-progs-11.5-1.el6.x86_64

How reproducible:
By running /usr/bin/globus-makefile-header without having globus-common-progs installed.

Steps to Reproduce:
1. rpm -e globus-common-progs
2. yum install globus-common-devel
3. /usr/bin/globus-makefile-header --flavor=gcc64pthr
  
Actual results:
Can't locate Globus/Core/Paths.pm in @INC (@INC contains: /usr/lib/perl /usr/lib/perl /usr/lib/perl/x86_64-linux-thread-multi /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl/ /usr/share/perl5/vendor_perl/ /usr/lib64/perl5 /usr/share/perl5 /usr/local/lib64/perl5/site_perl/5.10.0/x86_64-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl /usr/lib/perl5/site_perl .) at /usr/bin/globus-makefile-header line 288, <FILE> line 2886.

Expected results:
GLOBUS_CALLOUT_VERSION = 0.7.0
GLOBUS_COMMON_VERSION = 11.5.11
GLOBUS_LIBTOOL_VERSION = 1.2.0
GLOBUS_CORE_VERSION = 5.17.1
GLOBUS_GSI_CALLBACK_VERSION = 2.7.2
GLOBUS_GSI_CERT_UTILS_VERSION = 6.6.6
GLOBUS_GSI_OPENSSL_ERROR_VERSION = 0.14.0
...

Additional info:
Comment 1 Fedora Update System 2010-08-09 07:07:47 EDT
globus-common-11.5-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/globus-common-11.5-2.fc12
Comment 2 Fedora Update System 2010-08-09 07:07:53 EDT
globus-common-11.5-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/globus-common-11.5-2.el5
Comment 3 Fedora Update System 2010-08-09 07:07:57 EDT
globus-common-11.5-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/globus-common-11.5-2.fc13
Comment 4 Fedora Update System 2010-08-09 07:08:01 EDT
globus-common-11.5-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/globus-common-11.5-2.fc14
Comment 5 Fedora Update System 2010-08-09 14:00:27 EDT
globus-common-11.5-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update globus-common'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/globus-common-11.5-2.el5
Comment 6 Fedora Update System 2010-08-09 21:31:45 EDT
globus-common-11.5-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update globus-common'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/globus-common-11.5-2.fc14
Comment 7 Fedora Update System 2010-08-10 17:39:27 EDT
globus-common-11.5-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update globus-common'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/globus-common-11.5-2.fc13
Comment 8 Fedora Update System 2010-08-10 17:47:27 EDT
globus-common-11.5-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update globus-common'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/globus-common-11.5-2.fc12
Comment 9 Fedora Update System 2010-08-24 17:11:51 EDT
globus-common-11.5-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-08-24 17:16:13 EDT
globus-common-11.5-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-08-24 19:01:54 EDT
globus-common-11.5-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-08-24 21:20:53 EDT
globus-common-11.5-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-09-03 03:38:19 EDT
globus-common-11.5-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/globus-common-11.5-2.el4
Comment 14 Fedora Update System 2010-09-06 09:31:01 EDT
globus-common-11.5-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/globus-common-11.5-3.el5
Comment 15 Fedora Update System 2010-09-06 09:31:06 EDT
globus-common-11.5-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/globus-common-11.5-3.el4
Comment 16 Fedora Update System 2010-09-06 09:31:11 EDT
globus-common-11.5-3.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/globus-common-11.5-3.fc12
Comment 17 Fedora Update System 2010-09-06 09:31:15 EDT
globus-common-11.5-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/globus-common-11.5-3.fc14
Comment 18 Fedora Update System 2010-09-06 09:31:19 EDT
globus-common-11.5-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/globus-common-11.5-3.fc13
Comment 19 Fedora Update System 2010-09-20 13:54:54 EDT
globus-common-11.5-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.